Bug 6501 - Missing scroll bar when updating child
Summary: Missing scroll bar when updating child
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-14 14:46 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (4.03 KB, patch)
2011-06-16 13:04 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Fix for Bug 6501 - missing scroll bar when updating child (4.04 KB, patch)
2011-06-16 18:16 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-14 14:46:40 UTC
Maybe another TT issue ... When a library attempts to update a child to an adult using the "More > Update child to adult patron" feature in FireFox, the pop-up window does not contain a scroll bar for navigation.  In Chrome, there is a scroll bar.  Without the scroll bar, given the large number of patron categories in our shared catalog, users have to rely on tab/spacebar/enter keyboard navigation and submission.  For most, these skills do not come naturally.

Also, the patron categories appear in random order - not alphabetical, as far as I can tell.

Ideally, the only patron categories showing would belong to the Set library.  This would eliminate the need for a scroll bar.

Video: http://screencast.com/t/8RY0mWYf
Comment 1 Owen Leonard 2011-06-16 13:04:39 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2011-06-16 18:16:10 UTC
Created attachment 4500 [details] [review]
[SIGNED OFF] Fix for Bug 6501 - missing scroll bar when updating child

- Adding "scrollbars=yes" to window.open javascript.
- Adding javascript tablesorter to categories table

To test, open a child patron record and choose more ->
Update Child to Adult Patron from the toolbar menu. The
resulting pop-up should have scrollbars. The table
of categories should be sortable with a default sort
on the description.
Comment 3 Chris Cormack 2011-06-19 23:54:02 UTC
Pushed to master please test